Bug 1564204 - [abrt] firefox: raise(): firefox killed by SIGSEGV
Summary: [abrt] firefox: raise(): firefox killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 28
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c7957f7201640a020db01336303...
Depends On: 1458960
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2018-04-05 16:32 UTC by Paul Whalen
Modified: 2019-05-28 23:06 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:06:02 UTC


Attachments (Terms of Use)
File: backtrace (107.28 KB, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: cgroup (328 bytes, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: core_backtrace (188.38 KB, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: cpuinfo (398 bytes, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: dso_list (12.42 KB, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: environ (4.10 KB, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: maps (67.27 KB, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: mountinfo (3.81 KB, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: open_fds (7.45 KB, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details
File: var_log_messages (540 bytes, text/plain)
2018-04-05 16:32 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2018-04-05 16:32:17 UTC
Description of problem:
Attempt to launch firefox on aarch64.

Version-Release number of selected component:
firefox-59.0.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        /usr/lib64/firefox/firefox
crash_function: raise
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=bbfd562bcebc4474865b9419182b85d7;i=a85;b=fe1c4c5547834bf3bdb66b0ad483d273;m=a598f580;t=5691b847b7ecf;x=a0c53b266c7bc8ce
kernel:         4.16.0-0.rc4.git0.1.fc28.aarch64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 raise
 #1 nsProfileLock::FatalSignalHandler at /usr/src/debug/firefox-59.0.1-1.fc28.aarch64/toolkit/profile/nsProfileLock.cpp:177
 #2 WasmFaultHandler at /usr/src/debug/firefox-59.0.1-1.fc28.aarch64/js/src/wasm/WasmSignalHandlers.cpp:1446
 #4 ResolvePromiseInternal at /usr/src/debug/firefox-59.0.1-1.fc28.aarch64/objdir/dist/include/js/Value.h:1255
 #5 ResolvePromiseFunction at /usr/src/debug/firefox-59.0.1-1.fc28.aarch64/js/src/builtin/Promise.cpp:645
 #6 js::CallJSNative at /usr/src/debug/firefox-59.0.1-1.fc28.aarch64/js/src/jscntxtinlines.h:291
 #7 js::InternalCallOrConstruct at /usr/src/debug/firefox-59.0.1-1.fc28.aarch64/js/src/vm/Interpreter.cpp:473
 #8 js::CallFromStack at /usr/src/debug/firefox-59.0.1-1.fc28.aarch64/js/src/vm/Interpreter.cpp:3096
 #9 Interpret at /usr/src/debug/firefox-59.0.1-1.fc28.aarch64/js/src/vm/Interpreter.cpp:3096
 #10 js::RunScript at /usr/src/debug/firefox-59.0.1-1.fc28.aarch64/js/src/vm/Interpreter.cpp:423

Comment 1 Paul Whalen 2018-04-05 16:32:25 UTC
Created attachment 1417844 [details]
File: backtrace

Comment 2 Paul Whalen 2018-04-05 16:32:26 UTC
Created attachment 1417845 [details]
File: cgroup

Comment 3 Paul Whalen 2018-04-05 16:32:28 UTC
Created attachment 1417846 [details]
File: core_backtrace

Comment 4 Paul Whalen 2018-04-05 16:32:30 UTC
Created attachment 1417847 [details]
File: cpuinfo

Comment 5 Paul Whalen 2018-04-05 16:32:31 UTC
Created attachment 1417848 [details]
File: dso_list

Comment 6 Paul Whalen 2018-04-05 16:32:33 UTC
Created attachment 1417849 [details]
File: environ

Comment 7 Paul Whalen 2018-04-05 16:32:34 UTC
Created attachment 1417850 [details]
File: limits

Comment 8 Paul Whalen 2018-04-05 16:32:36 UTC
Created attachment 1417851 [details]
File: maps

Comment 9 Paul Whalen 2018-04-05 16:32:38 UTC
Created attachment 1417852 [details]
File: mountinfo

Comment 10 Paul Whalen 2018-04-05 16:32:39 UTC
Created attachment 1417853 [details]
File: open_fds

Comment 11 Paul Whalen 2018-04-05 16:32:41 UTC
Created attachment 1417854 [details]
File: proc_pid_status

Comment 12 Paul Whalen 2018-04-05 16:32:42 UTC
Created attachment 1417855 [details]
File: var_log_messages

Comment 13 Jeremy Linton 2018-05-01 19:07:42 UTC
Pretty sure this is another case of: bug #1458960. The patch in that bug makes the crash here in FF59 go away, and will be required for FF60 as well.

Comment 14 Ben Cotton 2019-05-02 20:31:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 23:06:02 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.